package com.gic.haoban.manage.web.qo.content.ai;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.gic.thirdparty.cloudfile.pojo.cme.CmeExportVideo;

import java.io.Serializable;

/**
 * Created by wangzubo on 2023/10/19.
 */
public class CmeExportVideoQO extends CmeExportVideo implements Serializable {

    @JsonSerialize(
            using = ToStringSerializer.class
    )
    /**
     * 模板id主键
     */
    private Long contentTemplateId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 导购名称
     */
    private String clerkName;

    public Long getContentTemplateId() {
        return contentTemplateId;
    }

    public void setContentTemplateId(Long contentTemplateId) {
        this.contentTemplateId = contentTemplateId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }
}
